AbstractGatewayDeltaEvent (Apache Geode 1.15.4)

org.apache.geode.modules.gatewaydelta

## Class AbstractGatewayDeltaEvent

- java.lang.Object
- - org.apache.geode.modules.gatewaydelta.AbstractGatewayDeltaEvent

- All Implemented Interfaces:
    Serializable, DataSerializable, GatewayDeltaEvent
  Direct Known Subclasses:
    GatewayDeltaCreateEvent, GatewayDeltaDestroyEvent

      public abstract class AbstractGatewayDeltaEvent
      extends Object
      implements GatewayDeltaEvent, DataSerializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.geode.DataSerializable

      `DataSerializable.Replaceable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `key`
    `protected String` | `regionName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractGatewayDeltaEvent()`
    `` | `AbstractGatewayDeltaEvent(String regionName, String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fromData(DataInput in)` Reads the state of this object as primitive data from the given `DataInput`.
    `String` | `getKey()`
    `Region` | `getRegion(Cache cache)`
    `String` | `getRegionName()`
    `void` | `toData(DataOutput out)` Writes the state of this object as primitive data to the given `DataOutput`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.modules.gatewaydelta.GatewayDeltaEvent

      `apply`

- - ### Field Detail

    - #### regionName

          protected String regionName

    - #### key

          protected String key

  - ### Constructor Detail

    - #### AbstractGatewayDeltaEvent

          protected AbstractGatewayDeltaEvent()

    - #### AbstractGatewayDeltaEvent

          public AbstractGatewayDeltaEvent(String regionName,
                                           String key)

  - ### Method Detail

    - #### getRegionName

          public String getRegionName()

    - #### getKey

          public String getKey()

    - #### getRegion

          public Region getRegion(Cache cache)

    - #### fromData

          public void fromData(DataInput in)
                        throws IOException,
                               ClassNotFoundException

      Description copied from interface: `DataSerializable`
      Reads the state of this object as primitive data from the given `DataInput`.
      Specified by:
        `fromData` in interface `DataSerializable`
      Parameters:
        `in` - the `DataInput` to read from
      Throws:
        `IOException` - A problem occurs while reading from `in`
        `ClassNotFoundException` - A class could not be loaded while reading from `in`

    - #### toData

          public void toData(DataOutput out)
                      throws IOException

      Description copied from interface: `DataSerializable`
      Writes the state of this object as primitive data to the given `DataOutput`.

      Since 5.7 it is possible for any method call to the specified `DataOutput` to throw `GemFireRethrowable`. It should not be caught by user code. If it is it must be rethrown.

      Specified by:
        `toData` in interface `DataSerializable`
      Parameters:
        `out` - the `DataOutput` to write to
      Throws:
        `IOException` - A problem occurs while writing to `out`